/*
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o File        o IRQHandler.c                                           
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Author      o EM Microelectronic-Marin SA
o Company     o EM Microelectronic-Marin SA                                                                            
o Project     o skeleton EM6812                                      
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo                                                                                                                                                                      
o Comments    o Interupt handler C file
o             o
o             o                                     
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o Version     o 1.0
o Date        o 10.11.04
o Change      o Initial                                          
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
*/


// Definitions section                                           

// Include section
#include "Header.h"

// Function section
		  		      
void Handle_Irq_PA7(void)
{// Handles the interruption from PA7
}
		  		      
void Handle_Irq_PA6(void)
{// Handles the interruption from PA6
}
		  		      
void Handle_Irq_PA5(void)
{// Handles the interruption from PA5
}
		  		      
void Handle_Irq_PA4(void)
{// Handles the interruption from PA4
}
		  		      
void Handle_Irq_PA3(void)
{// Handles the interruption from PA3
}
		  		      
void Handle_Irq_PA2(void)
{// Handles the interruption from PA2
}
		  		      
void Handle_Irq_PA1(void)
{// Handles the interruption from PA1
}
	  		      
void Handle_Irq_PA0(void)
{// Handles the interruption from PA0	
}
		  	  
void Handle_Irq_DR	(void)
{// Handles the interruption from Dual*Port Ram	 
}// kind of conflict must be decoded and tested here if needed
		  		      
void Handle_Irq_SPI(void)
{// Handles the interruption from SPI 	 
}// precise interupt source must be decoded and tested here
	  		      
void Handle_Irq_Tim4(void)
{// Handles the interruption from Timer4	
}
		  		      
void Handle_Irq_Tim3(void)
{// Handles the interruption from Timer3
}
		  		      
void Handle_Irq_Tim2(void)
{// Handles the interruption from Timer2
}
		  		      
void Handle_Irq_Tim1(void)
{// Handles the interruption from Timer1
}
	  
void Handle_Irq_ClkPresc1_7(void)
{// Handles the interruption from Clock 7 on Prescaler1
}
    
void Handle_Irq_ClkPresc1_5(void)
{// Handles the interruption from Clock 5 on Prescaler1
}
	  
void Handle_Irq_ClkPresc1_0(void)
{// Handles the interruption from Clock 0 on Prescaler1
}
	  
void Handle_Irq_pm_miss_skip(void)
{// Handles the interruption from program memory miss
}

