/*
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o File        o main.c                                           
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
o Author      o EM Microelectronic-Marin SA
o Company     o EM Microelectronic-Marin SA                                                                            
o Project     o skeleton EM6812                                      
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo                                                                                                                                                                      
o Comments    o Main C file
o             o
o             o                                     
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
o Version     o 1.0
o Date        o 10.11.04
o Change      o Initial                                          
oooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo 
*/

// Definitions section                                           
#define MAIN_FILE

// Include section
#include "Header.h"

// Function section




int main(void)
{  

/*Examples of I2C devices:*/
// Max5382Leuk
#define AdI2CMAX5382LEUK 0x60
#define DataMAX5382LEUK 0x41 
// AT24C02 with A2...A0 tied to '0'
#define AdI2CAT24C02 0xA0
#define AdAT24C02 0x00

/*Examples of buffer devices*/
// buffer Access DAC (MAX5382 LEUK)

// buffer Access memory (AT24C02} 
unsigned char Memory1[10] = {'M','E',' ', 'O','L','L','E','H', AdAT24C02, AdI2CAT24C02}; // Buffer W access
unsigned char Memory2[10] = {' ',' ',' ', ' ',' ',' ',' ',' ', AdAT24C02, AdI2CAT24C02}; // Buffer R access
unsigned char TempDac2[2] = {0x80, AdI2CMAX5382LEUK};

unsigned char TempDac[2]; // MSB byte first ... 0x60 = Device address
unsigned char ResultOperation = 0;


unsigned char i;  
  
  DisWdog();
  ResultOperation = SendBufferI2C(Memory1, 10, YES);
  if (!ResultOperationKO)  ResultOperation = GetBufferI2C(Memory2, 10); else Halt;
  if (!ResultOperationKO)  
    {
      TempDac[1] = AdI2CMAX5382LEUK;          
      for (i=0; i<10; i++)     
        {
          TempDac[0] += Memory2[i];       
        }      
      for (i=0; i<50; i++) 
        {
          ResultOperation = SendBufferI2C(TempDac, 2, NO);
          if (!ResultOperationKO) ResultOperation = SendBufferI2C(TempDac2, 2, NO); else Halt;   
        }
    }     
  else 
    Halt;
  while (1) {};  
};


